Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.listeners
Class SessionEventListener

    java.lang.Object
      com.bea.p13n.tracking.listeners.SessionEventListener

All Implemented Interfaces
  EventListener, javax.servlet.http.HttpSessionListener

    public class SessionEventListener

extends Object
implements javax.servlet.http.HttpSessionListener

Class is implemented as a HttpSessionListener, to fire SessionEvents upon Session begin and end. It is configured in web.xml as follows: `com.bea.p13n.tracking.listeners.SessionEventListener`

Constructor Summary
`SessionEventListener()`

Method Summary
`void` | `sessionCreated(javax.servlet.http.HttpSessionEvent beginEvent)` Fire an event to indicate that sesion has begun.
`void` | `sessionDestroyed(javax.servlet.http.HttpSessionEvent endEvent)` Fire an event to indicate that sesion has ended.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionEventListener

    public SessionEventListener()

Method Detail

### sessionCreated

    public void sessionCreated(javax.servlet.http.HttpSessionEvent beginEvent)

  Fire an event to indicate that sesion has begun.

  Specified by:
    `sessionCreated` in interface `javax.servlet.http.HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(javax.servlet.http.HttpSessionEvent endEvent)

  Fire an event to indicate that sesion has ended.

  Specified by:
    `sessionDestroyed` in interface `javax.servlet.http.HttpSessionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved